Package org.eclipse.net4j.util.ui.views

# Class ContainerItemProvider.LazyElement

java.lang.Object
org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement
org.eclipse.net4j.util.ui.views.ContainerItemProvider.LazyElement

Enclosing class:
  ContainerItemProvider<CONTAINER extends IContainer<Object>>

@Deprecated public class ContainerItemProvider.LazyElement extends ContainerItemProvider.SlowElement
Deprecated.
As of 3.5 use `ContainerItemProvider.SlowElement`.

Since:
  3.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`LazyElement(IContainer<Object> container)`
Deprecated.
`LazyElement(IContainer<Object> container, String text)`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.SlowElement

`getContainer, getText, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LazyElement

public LazyElement(IContainer<Object> container, String text)
Deprecated.

Since:
  3.5

### LazyElement

public LazyElement(IContainer<Object> container)
Deprecated.